DefaultFileSystemAbstraction (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class DefaultFileSystemAbstraction

    java.lang.Object
      org.neo4j.kernel.DefaultFileSystemAbstraction

All Implemented Interfaces:
  org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction

    public class DefaultFileSystemAbstraction

extends Object
implements org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction

TODO

Constructor Summary
`DefaultFileSystemAbstraction()`

Method Summary
`void` | `copyFile(String from, String to)`
`FileChannel` | `create(String fileName)`
`boolean` | `deleteFile(String fileName)`
`boolean` | `fileExists(String fileName)`
`long` | `getFileSize(String fileName)`
`FileChannel` | `open(String fileName, String mode)`
`boolean` | `renameFile(String from, String to)`
`org.neo4j.kernel.impl.nioneo.store.FileLock` | `tryLock(String fileName, FileChannel channel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileSystemAbstraction

    public DefaultFileSystemAbstraction()

Method Detail

### open

    public FileChannel open(String fileName,
                            String mode)
                     throws IOException

  Specified by:
    `open` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`
  Throws:
    `IOException`

### tryLock

    public org.neo4j.kernel.impl.nioneo.store.FileLock tryLock(String fileName,
                                                               FileChannel channel)
                                                        throws IOException

  Specified by:
    `tryLock` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`
  Throws:
    `IOException`

### create

    public FileChannel create(String fileName)
                       throws IOException

  Specified by:
    `create` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`
  Throws:
    `IOException`

### fileExists

    public boolean fileExists(String fileName)

  Specified by:
    `fileExists` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`

### getFileSize

    public long getFileSize(String fileName)

  Specified by:
    `getFileSize` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`

### deleteFile

    public boolean deleteFile(String fileName)

  Specified by:
    `deleteFile` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`

### renameFile

    public boolean renameFile(String from,
                              String to)
                       throws IOException

  Specified by:
    `renameFile` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`
  Throws:
    `IOException`

### copyFile

    public void copyFile(String from,
                         String to)
                  throws IOException

  Specified by:
    `copyFile` in interface `org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.